/*
 * Created on 26-Jan-2005
 *
 */
package com.dammfine.xmltidy;

import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.io.InputStream;

import org.xml.sax.EntityResolver;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;

/**
 * @author Ben Damm
 * 
 * From the JDom FAQ, a way to disable network traffice when 
 * parsing properly formed XBel docs.
 */
public class NoOpEntityResolver implements EntityResolver
{
	public InputSource resolveEntity(String publicId, String systemId)
			throws SAXException, IOException
	{
		InputStream nothing = new ByteArrayInputStream(new byte[]{});
		return new InputSource( nothing );
	}

}
